﻿using System;
using System.Data;
using System.Linq;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace IgUltraGridAfterSortExample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			LoadData();
			ultraGrid1.AfterSortChange += AfterSortChanged;
		}

		private void AfterSortChanged(object sender, BandEventArgs e)
		{
			UltraGridRow row = ultraGrid1.DisplayLayout.RowScrollRegions[0].FirstRow;
			var dvRow = (DataRowView) row.ListObject;
			var dRow = (DataSet1.MyDataRow) dvRow.Row;
			MessageBox.Show(@"First Row is:" + dRow.Name);
		}

		private void LoadData()
		{
			dataSet1.BeginInit();
			foreach (int i in Enumerable.Range(1, 100))
			{
				dataSet1.MyData.AddMyDataRow("Row " + i, DateTime.Now.AddDays(0 - i));
			}
			dataSet1.EndInit();
		}
	}
}